API referenceCampaigns
GET
/campaigns

JavaScript SDK: swarmhit.campaigns.list(params?)

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created on the Access tokens page.

In: header

Query Parameters

limit?integer

Page size, 1–100.

Range1 <= value <= 100
Default50
offset?integer

Number of records to skip.

Range0 <= value
Default0

Response Body

application/json

application/json

curl -X GET "https://example.com/campaigns"
{  "data": [    {      "id": "string",      "name": "string",      "status": "draft",      "stats": {        "total": 0,        "done": 0,        "failed": 0      },      "aiInterestEnabled": true,      "unsubscribe": {        "enabled": true,        "text": "string"      },      "tracking": {        "opens": "mailbox",        "clicks": "mailbox"      },      "linkedinAccountIds": [        "string"      ],      "emailAccountIds": [        "string"      ],      "whatsappAccountIds": [        "string"      ],      "senderIds": [        "string"      ],      "excludeListIds": [        "string"      ],      "listId": "string",      "excludeOtherCampaigns": true,      "excludeOtherSenders": true,      "excludeSameSenderOtherCampaigns": true,      "companyLimit": {        "max": 1,        "period": "day",        "scope": "campaign"      },      "pauseCompanyOnReply": true,      "outOfOffice": {        "enabled": true,        "fallbackDays": 7      },      "matchEmailProvider": true,      "schedule": {        "startDate": "2019-08-24T14:15:22Z",        "endDate": "2019-08-24T14:15:22Z",        "timezone": "string",        "activeHours": {          "from": "string",          "to": "string"        },        "activeDays": [          0        ]      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "paging": {    "limit": 0,    "offset": 0  }}